version: '3'

services:

    timescaledb:
        image: timescale/timescaledb:1.7.4-pg12
        ports:
            - 5432:5432
        environment:
            - POSTGRES_PASSWORD=password
        volumes:
            - data-postgres:/var/lib/postgresql/data

    app:
        build: .
        command: gunicorn -b 0.0.0.0:8000 run:app --timeout=3600 --graceful-timeout=3600 --workers=2 --threads=2
        #command: flask run
        ports:
            - 6502:8000
        environment:
            - DB_NAME=postgres
            - DB_USER=postgres
            - DB_PASSWORD=password
            - DB_HOST=timescaledb
            - DB_PORT=5432
            - FLASK_APP=run
            - FLASK_RUN_PORT=8000
            - FLASK_RUN_HOST=0.0.0.0
        volumes:
             - ./application:/opt/application
        depends_on:
            - timescaledb

volumes:
    data-postgres:
